# Uses of Interface
javax.script.ScriptContext

Packages that use ScriptContext
Package
Description
javax.script
The scripting API consists of interfaces and classes that define Java Scripting Engines and provides a framework for their use in Java applications.

## Uses of ScriptContext in javax.script

Classes in javax.script that implement ScriptContext
Modifier and Type
Class
Description
`class`
`SimpleScriptContext`
Simple implementation of ScriptContext.
Fields in javax.script declared as ScriptContext
Modifier and Type
Field
Description
`protected ScriptContext`
AbstractScriptEngine.`context`
The default `ScriptContext` of this `AbstractScriptEngine`.
Methods in javax.script that return ScriptContext
Modifier and Type
Method
Description
`ScriptContext`
AbstractScriptEngine.`getContext()`
Returns the value of the protected `context` field.
`ScriptContext`
ScriptEngine.`getContext()`
Returns the default `ScriptContext` of the `ScriptEngine` whose Bindings, Reader and Writers are used for script executions when no `ScriptContext` is specified.
`protected ScriptContext`
AbstractScriptEngine.`getScriptContext(Bindings nn)`
Returns a `SimpleScriptContext`.
Methods in javax.script with parameters of type ScriptContext
Modifier and Type
Method
Description
`abstract Object`
CompiledScript.`eval(ScriptContext context)`
Executes the program stored in this `CompiledScript` object.
`Object`
ScriptEngine.`eval(Reader reader, ScriptContext context)`
Same as `eval(String, ScriptContext)` where the source of the script is read from a `Reader`.
`Object`
ScriptEngine.`eval(String script, ScriptContext context)`
Causes the immediate execution of the script whose source is the String passed as the first argument.
`void`
AbstractScriptEngine.`setContext(ScriptContext ctxt)`
Sets the value of the protected `context` field to the specified `ScriptContext`.
`void`
ScriptEngine.`setContext(ScriptContext context)`
Sets the default `ScriptContext` of the `ScriptEngine` whose Bindings, Reader and Writers are used for script executions when no `ScriptContext` is specified.